> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Template Addons

> List addons offered for this template, including pricing.

Joins prop_addons with template_addons so the caller gets one row per
addon offered, with the per-template pricing override. Inactive addons
and addons explicitly un-offered (is_offered=FALSE) are excluded.



## OpenAPI

````yaml /openapi.json get /prop/templates/{template_id}/addons
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /prop/templates/{template_id}/addons:
    get:
      tags:
        - Prop trading
      summary: List Template Addons
      description: |-
        List addons offered for this template, including pricing.

        Joins prop_addons with template_addons so the caller gets one row per
        addon offered, with the per-template pricing override. Inactive addons
        and addons explicitly un-offered (is_offered=FALSE) are excluded.
      operationId: list_template_addons_prop_templates__template_id__addons_get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PropAddonOffer'
                title: >-
                  Response List Template Addons Prop Templates  Template Id 
                  Addons Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    PropAddonOffer:
      properties:
        addon_id:
          type: string
          format: uuid
          title: Addon Id
        code:
          type: string
          title: Code
        display_name:
          type: object
          title: Display Name
        description:
          type: object
          title: Description
        modifies_template:
          type: object
          title: Modifies Template
        pricing_mode:
          type: string
          title: Pricing Mode
        pricing_value:
          type: string
          title: Pricing Value
        is_offered:
          type: boolean
          title: Is Offered
      type: object
      required:
        - addon_id
        - code
        - display_name
        - description
        - modifies_template
        - pricing_mode
        - pricing_value
        - is_offered
      title: PropAddonOffer
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````